Name:		patcher
Version: 0.5
Release: 4mdk
License:	GPL
Group:		Development/Other
Summary:    A tool for quick creation of patches against a project source tree.
Source0:    %{name}-%{version}.tar.bz2
Url:		https://moin.conectiva.com.br/Patcher
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
# needed for opt-parse
Requires:      python  
BuildArch:  noarch 
%description
Patcher is a tool for quick creation of patches against a project source tree. 
Patcher functionality ressembles a lightweight version control system.
It has no repository, and only controls differences between a pristine version 
and a working copy. 

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%_prefix
find $RPM_BUILD_ROOT/%_prefix -name '*pyc' | xargs rm -Rf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc LICENSE README
%_bindir/*
%{_libdir}/python%{pyver}/site-packages/%{name}/
%changelog
* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.5-4mdk
- Rebuild for new python

* Wed Dec 01 2004 Michael Scherer <misc@mandrake.org> 0.5-3mdk 
- add python deps ( as python-base is not enough )

* Thu Jun 10 2004 Michael Scherer <misc@mandrake.org> 0.5-2mdk 
- removes compiled python code with improper hardcoded path

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 0.5-1mdk
- first package 
